API reference

Account & Utility

6 endpoints. Add your API key in the authentication panel to send test requests from this page.

List applications

GET/api/external/v1/applications

Returns a paginated list of all workspace applications owned by the user. Applications represent the business context (e.g. ACME Dental) and contain data stores.

Parameters

  • pageinteger (int32)query

    Page number (0-indexed)

  • sizeinteger (int32)query

    Items per page (max 100)

Responses

  • 200Paginated list of applications
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Get wallet balance

GET/api/external/v1/balance

Returns the current wallet balance, free minutes, and pricing information for the user. Useful for monitoring credit status to ensure uninterrupted service.

Responses

  • 200Current balance details
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

List phone numbers

GET/api/external/v1/phone-numbers

Returns a list of all phone numbers assigned to the user associated with the API key. Includes status, provider information, and current active call counts.

Responses

  • 200List of phone numbers
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Provision a phone number

POST/api/external/v1/phone-numbers

Provision a new phone number using Twilio, Telnyx, Vonage or BYO provider.

Request body application/json

  • providerstring
  • numbersstring
  • labelstring
  • poolLabelstring
  • purposestring
  • voiceAiProviderstring
  • poolManagedboolean
  • poolPhoneNumberIdstring (uuid)
  • sipTrunkCredentialIdstring (uuid)
  • sipServerstring
  • sipPortinteger (int32)
  • sipUsernamestring
  • sipPasswordstring
  • sipRegistrationboolean
  • registrationDomainstring
  • registrationUsernamestring
  • registrationRealmstring
  • usePublicIpInContactboolean
  • outboundLeadingPlusboolean
  • callerIdLeadingPlusboolean
  • outboundSipServerstring
  • outboundSipPortinteger (int32)
  • outboundSipUsernamestring
  • outboundSipPasswordstring
  • useUsernameAsCallerIdboolean
  • useOutboundUsernameAsCallerIdboolean
  • sipRoutingProviderstring
  • sipSoftphoneEnabledboolean
  • allowNonE164boolean
  • twilioAccountSidstring
  • twilioAuthTokenstring
  • twilioVoiceApiKeySidstring
  • twilioVoiceApiKeySecretstring
  • twilioVoiceAppSidstring
  • smsEnabledboolean
  • whatsappEnabledboolean
  • whatsappProviderstring
  • whatsappFlowIdstring (uuid)
  • whatsappMetaPhoneNumberIdstring
  • whatsappMetaAccessTokenstring
  • whatsappMetaVerifyTokenstring
  • whatsappMetaAppSecretstring
  • telnyxApiKeystring
  • vonageApiKeystring
  • vonageApiSecretstring
  • externalServerUrlstring
  • externalServerSecretHeaderstring
  • externalServerSecretValuestring

Responses

  • 200Provisioned phone number
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Update a phone number

PUT/api/external/v1/phone-numbers/{id}

Updates the configuration of an existing phone number.

Parameters

  • idstring (uuid)pathRequired

Request body application/json

  • labelstring
  • poolLabelstring
  • purposestring
  • voiceAiProviderstring
  • sipServerstring
  • sipPortinteger (int32)
  • sipUsernamestring
  • sipPasswordstring
  • sipSoftphoneEnabledboolean
  • twilioAccountSidstring
  • twilioAuthTokenstring
  • twilioVoiceApiKeySidstring
  • twilioVoiceApiKeySecretstring
  • twilioVoiceAppSidstring
  • smsEnabledboolean
  • smsAutoReplyModestring
  • smsAutoReplyWindowStartstring
  • smsAutoReplyWindowEndstring
  • whatsappEnabledboolean
  • whatsappProviderstring
  • disconnectWhatsappboolean
  • whatsappFlowIdstring (uuid)
  • whatsappMetaPhoneNumberIdstring
  • whatsappMetaAccessTokenstring
  • whatsappMetaVerifyTokenstring
  • whatsappMetaAppSecretstring
  • whatsappAutoReplyModestring
  • whatsappAutoReplyWindowStartstring
  • whatsappAutoReplyWindowEndstring
  • telnyxApiKeystring
  • vonageApiKeystring
  • vonageApiSecretstring
  • assignedAgentIdstring (uuid)
  • unassignAgentboolean
  • assignedOutboundAgentIdsarray of string (uuid)
  • clearOutboundAgentsboolean
  • inboundBehaviorstring
  • forwardNumberstring
  • ringAgentsConfigRingAgentsConfig
  • overrideConcurrencyLimitsboolean
  • maxOutboundinteger (int32)
  • maxInboundinteger (int32)
  • releasePoolAssignmentboolean
  • externalServerUrlstring
  • externalServerSecretHeaderstring
  • externalServerSecretValuestring
  • clearExternalServerSecretboolean

Responses

  • 200Updated phone number details
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Release/Delete a phone number

DELETE/api/external/v1/phone-numbers/{id}

Releases or deletes an existing phone number.

Parameters

  • idstring (uuid)pathRequired

Responses

  • 200Phone number successfully released
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found